#!/usr/bin/perl

use strict;
use FDN::Common::Config;

my $dir = Config_Key('scan.cfg','common','imgdir');
chdir $dir;

open FILE, "find ./todel -type f -print|";
while (<FILE>) {
	chomp;
	print "INF: J'efface le fichier inutile $_.\n";
	`rm $_`;
}
close FILE;

open FILE, "find ./sent -type f -mtime +7 -print|";
while (<FILE>) {
	chomp;
	print "INF: J'efface le fichier $_ qui a t transmis  FDN depuis plus de 7 jours.\n";
	`rm $_`;
}
close FILE;

open FILE, "find ./sending -type f -mmin +45 -print|";
while (<FILE>) {
	chomp;
	print "ERR: Le fichier $_ est l depuis plus de 45 minutes.\n";
}
close FILE;

open FILE, "find ./tosend -type f -mmin +90 -print|";
while (<FILE>) {
	chomp;
	print "WARN: Le fichier $_ est  expdier depuis plus d'1h30.\n";
}
close FILE;

open FILE, "find ./tosend -type f -mtime +1 -print|";
while (<FILE>) {
	chomp;
	print "ERR: Le fichier $_ est  expdier depuis plus de 24h.\n";
}
close FILE;


